package com.goafanti.admin.service;

import java.util.List;
import java.util.Map;

import com.goafanti.admin.bo.AdminDetail;
import com.goafanti.admin.bo.AdminListBo;
import com.goafanti.common.model.Admin;
import com.goafanti.core.mybatis.page.Pagination;

public interface AdminService {

	List<Admin> selectAllAdmin();

	Admin selectByMobile(String username);

	Admin selectByPrimaryKey(String key);

	Pagination<AdminListBo> listAdmin(Integer province, Integer number, String mobile, String name, Integer pNo,
			Integer pSize);

	int insert(Admin ad);

	int updateByPrimaryKeySelective(Admin ad, List<String> roleIds);

	int updateByPrimaryKey(Admin a);

	AdminDetail selectAdminDetail(String id);

	List<Admin> selectCognizanceConsultant();

	List<Admin> selectPatentAuthor();

	List<Admin> selectPatentPrincipal();

	List<Admin> selectCopyrightConsultant();

	List<Admin> selectCognizancePrincipal();

	List<Admin> selectCopyrightPrincipal();

	List<Admin> selectTechprojectConsultant();

	List<Admin> selectTechprojectPrincipal();

	List<String> selectRoleByPrimaryKey(String aid);

	List<String> listAuditor();

	Map<String, String> selectAccoutManager();

	Map<String, String> selectTechnician();

	Map<String, String> selectSalesman();

	Map<String, String> selectContractManager();

	Map<String, String> selectTechBroder();

	int insertNewAdmin(Admin ad);

	Map<String, String> listAdminSelect();

	List<Admin> listAdminByName(String name);

	List<AdminListBo> selectDepartmentStaff(String departmentId,String name);
}
